/* ===============================================================
	==root
	==header
	==banner / slider
	==breadcrumb
	==intro
	==service
	==album
	==news
	==contact
	==store
	==privacy
	==footer
	==sns
	==RWD
==================================================================*/

/* ----------------------------------------------------------------
	==root
-----------------------------------------------------------------*/
@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Flex:opsz,wght@6..144,1..1000&family=Noto+Sans+TC:wght@100..900&display=swap');

:root {
	--cnvs-themecolor: #0a4174;
	--cnvs-themecolor-rgb: 10, 65, 116;

	--cnvs-subcolor: #efeff3;
	--cnvs-subcolor-rgb: 239, 239, 243;

	--cnvs-hovercolor: #7d9dcb;
	--cnvs-hovercolor-rgb: 125, 157, 203;

	--cnvs-activecolor: #ebedff;
	--cnvs-activecolor-rgb: 213, 236, 255;

	--cnvs-textcolor: #001940;
	--cnvs-textcolor-rgb: 0, 25, 64;

	--cnvs-primary-font: 'Google Sans Flex', 'Noto Sans TC', sans-serif;
	--cnvs-body-font: 'Google Sans Flex', 'Noto Sans TC', sans-serif;
	--cnvs-secondary-font: var(--cnvs-body-font);

	--cnvs-font-size-body: 16px;

	--cnvs-slider-caption-width: 700px;
}

body {
	color: var(--cnvs-textcolor);
	line-height: 1.75;
}

#logo .logo-font,
.logo-font {
	font-size: 36px;
	line-height: 1;
	font-weight: 600;
	letter-spacing: 1px;
	color: var(--cnvs-themecolor);
	padding: 16px 0;
}

.bg-lightcolor {
	background-color: #EEEFF9;
}

.one-row {
	display: -webkit-box;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
	text-overflow: ellipsis;
	overflow: hidden;
}

.two-row {
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	text-overflow: ellipsis;
	overflow: hidden;
}

.three-row {
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	text-overflow: ellipsis;
	overflow: hidden;
}

.heading-block {
	--cnvs-heading-block-font-spacing: 1px;
	--cnvs-heading-block-font-color: var(--bs-black);
	--cnvs-heading-block-span-color: var(--cnvs-subcolor);
}

.heading-block::after {
	border-color: var(--cnvs-hovercolor);
}

/* .heading-block-sub {
	font-size: 14px;
	font-weight: 500 !important;
	font-family: 'Montserrat', sans-serif;
	letter-spacing: 1px;
} */

.button {
	font-size: 18px;
	line-height: 1.75;
	letter-spacing: 1px;
	border-radius: 10px;
	padding: 8px 40px;
	background-color: var(--cnvs-themecolor);
	font-family: 'Noto Sans TC', sans-serif;
}

.button:hover {
	background-color: var(--cnvs-hovercolor);
}

/* ----------------------------------------------------------------
	==header
-----------------------------------------------------------------*/
#header {
	--cnvs-primary-menu-submenu-border: 0px solid rgba(var(--cnvs-contrast-rgb), 0.1);

	--cnvs-primary-menu-font-weight: 500;
	--cnvs-primary-menu-font-size: 20px;
	--cnvs-primary-menu-tt: none;
	--cnvs-primary-menu-ls: 1;
	--cnvs-primary-menu-submenu-font-size: 18px;
	--cnvs-primary-menu-submenu-font-weight: 400;
	--cnvs-primary-menu-submenu-tt: none;


	--cnvs-header-height: 80px;
	--cnvs-header-bg: var(--bs-white);
	--cnvs-header-sticky-bg: var(--cnvs-header-bg);
	--cnvs-header-height-md: 80px;

	--cnvs-top-search-font-size: 18px;
	--cnvs-header-misc-icons-size: 20px;
}

/* 搜尋功能不使用，先隱藏 */
.header-misc,
.top-search-form {
	display: none;
}

#header-wrap {
	box-shadow: 0 0 4px rgba(var(--cnvs-themecolor-rgb), 0.2);
}

#header-wrap #logo {
	margin-right: 0;
}

#header-wrap #logo a .logo-default {
	max-height: 55px;
}

.is-expanded-menu #header.sticky-header-shrink #header-wrap #logo img {
	padding: 10px 0;
}

.menu-container>.menu-item>.menu-link {
	transition: color .3s ease-out;
	color: var(--cnvs-textcolor) !important;
}

.menu-container>.menu-item>.menu-link:hover,
.menu-container .menu-item .sub-menu-container .menu-link:hover {
	color: var(--cnvs-hovercolor) !important;
}

#top-search a:hover {
	color: var(--cnvs-hovercolor);
}

.top-search-open #top-search-trigger i {
	color: var(--bs-black);
	transition: color .3s ease-out;
}

.top-search-open #top-search-trigger:hover i {
	color: var(--cnvs-hovercolor);
}

.top-search-form input {
	font-weight: 400 !important;
	color: var(--bs-black) !important;
	letter-spacing: 1px;
}

.top-search-form input::placeholder {
	color: rgba(0, 0, 0, 0.75) !important;
}


/* ----------------------------------------------------------------
	==banner / slider
-----------------------------------------------------------------*/
.swiper-slide-bg::before {
	content: "";
	display: block;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.1);
}

.slider-caption-content {
	padding: 32px;
	border-radius: 10px;
	background-color: rgba(255, 255, 255, 0.75);
}

.slider-caption h3 {
	text-transform: none;
	font-size: 40px;
	letter-spacing: 2px;
	line-height: 1.3;
	margin-bottom: 0;
	text-align: start;
	color: var(--cnvs-textcolor);

	display: -webkit-box;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
	text-overflow: ellipsis;
	overflow: hidden;
}

.slider-caption p {
	font-size: 20px;
	font-weight: 400;
	letter-spacing: 2px;
	line-height: 1.75;
	margin-top: 16px;
	margin-bottom: 0;
	text-align: start;
	color: var(--cnvs-textcolor);

	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	text-overflow: ellipsis;
	overflow: hidden;
}

.slider-button {
	background-color: var(--cnvs-themecolor);
	margin-top: 16px;
}

.slider-button:hover {
	background-color: var(--cnvs-hovercolor);
}

.slider-swiper-pagination {
	display: none;
}

/*-----------------------------------------------------------------
 == breadcrumb 
-----------------------------------------------------------------*/
.breadcrumb::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	background-color: rgba(0, 0, 0, 0.5);
	width: 100%;
	height: 100%;
}

.breadcrumb {
	z-index: 1;
}

.breadcrumb_title {
	font-size: 32px;
	text-align: center;
	color: #FFF;
	margin-bottom: 16px;

	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
}

.breadcrumb_list li {
	color: #FFF;
}

.breadcrumb_list li a {
	color: #FFF;
	transition: all .3s ease-out;
}

.breadcrumb_list li a:hover {
	color: var(--cnvs-hovercolor);
}

/*-----------------------------------------------------------------
 == intro 
-----------------------------------------------------------------*/
.deco-img {
	position: absolute;
	top: -80px;
	right: -80px;
}

.intro p {
	line-height: 1.75;
}

.intro .title {
	font-size: 20px;
	font-weight: 700;
	letter-spacing: 1px;
	line-height: 1.5;
	color: var(--cnvs-themecolor);
}

.intro .img-block {
	position: relative;
}

.intro .img-deco {
	border-radius: 10px;
}

.intro .ad-item {
	position: relative;
	display: flex;
	border: 2px solid var(--cnvs-themecolor);
	overflow: hidden;
	border-radius: 8px;
	box-shadow: 0 4px 20px rgba(0, 0, 0, 0.25);
}

.intro .ad-item .media img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.intro .ad-item .media {
	width: 40%;
}

.intro .ad-item .content {
	width: 60%;
	padding: 24px 24px 8px;
}

.philo-item .media {
	border: 1px solid var(--cnvs-subcolor);
	border-radius: 4px;
	overflow: hidden;
}

.philo-item .title {
	font-size: 24px;
	font-weight: 600;
	line-height: 1.3;
	margin: 8px 0;
	text-align: center;
}

/*----- history -----*/
.history_6__time-bg {
	padding: 48px;
	border-radius: 20px;
	box-shadow: 0 20px 20px 5px rgba(var(--cnvs-themecolor-rgb), 0.2);
	background-color: var(--cnvs-subcolor);
}

.history_6__timeline-wrapper {
	max-width: 900px;
}

.history-section .section-title-wrap {
	padding-right: 0;
}

.history-section .section-title {
	-webkit-writing-mode: horizontal-tb;
	writing-mode: horizontal-tb;
	letter-spacing: 1px;
}

.history_6__time-item::before {
	content: "";
	position: absolute;
	top: 21px;
	left: 0;
	width: 30%;
	height: 2px;
	background: var(--cnvs-themecolor);
}

.history_6__time-year {
	width: 176px;
	font-size: 18px;
	font-weight: 600;
	letter-spacing: 1px;
	line-height: 1.5;
	background: var(--cnvs-themecolor);
	height: fit-content;
}

.history_6__time-txt {
	position: relative;
	margin-left: 10%;
	width: calc(90% - 176px);
	padding: 0px 0px 10px 30px;
}

.history_6__time-txt .item-title {
	font-size: 20px;
	font-weight: 600;
}

.deco-img>div {
	top: 160px;
}

/*----- certificate -----*/
.cer-img img {
	width: 100%;
	object-fit: contain;
}

.cer-img {
	transition: all .3s ease-out;
}

.cer-img .cer-shadow {
	box-shadow: 0 20px 20px 5px rgba(var(--cnvs-themecolor-rgb), 0.2);
}

.cer-img::before,
.cer-img::after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 75%;
	height: 100%;
	border: 2px solid var(--cnvs-themecolor);
	z-index: -1;
	transition: .3s ease-in-out;
}

.cer-img::before {
	opacity: 0;
	background: var(--cnvs-themecolor);
	transition: .3s ease-in-out;
}

.cer-item:hover .cer-img::after {
	width: 100%;
}

.cer-item:hover .cer-img::before {
	width: 100%;
	opacity: 1;
}

/*-----------------------------------------------------------------
 == intro cash-flow
-----------------------------------------------------------------*/
[class*="cash-block"] {
	position: relative;
	padding: 24px;
	letter-spacing: 1px;
	border-radius: 20px;
	background-color: var(--bs-white);
	box-shadow: 0 20px 20px 5px rgba(var(--cnvs-themecolor-rgb), 0.2);
	height: 100%;
	overflow: hidden;
}

[class*="cash-block"] .title {
	font-size: 24px;
	font-weight: 700;
	line-height: 1.3;
	color: var(--cnvs-themecolor);
	margin-bottom: 16px;
}

[class*="cash-block"] p:last-child {
	margin-bottom: 0;
}

.cash-block-dark {
	background-color: transparent;
}

.cash-block-dark .img-bg-block {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	height: 100%;
	z-index: -1;
}

.cash-block-dark .img-bg-block img {
	object-fit: cover;
	width: 100%;
	height: 100%;
}

.cash-block-dark * {
	color: var(--bs-white);
}


/*----- 內頁 -----*/
.imgFixed {
	position: fixed;
	width: 100vw;
	height: 100vh;
	top: 0;
	z-index: 0;
}

.imgFixed img {
	position: relative;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

ul.link-list {
	list-style-type: none;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	row-gap: 16px;
	column-gap: 8px;
	padding: 24px;
	margin-bottom: 24px;
	border-radius: 20px;
	box-shadow: 0 10px 10px rgba(var(--cnvs-themecolor-rgb), 0.2);
	background-color: var(--cnvs-subcolor);
}

ul.link-list li {
	width: calc(20% - 8px);
}

ul.link-list li a {
	display: block;
	width: 100%;
	height: 100%;
	padding: 8px;
	text-align: center;
	vertical-align: middle;
	color: var(--bs-white);
	background-color: var(--cnvs-themecolor);
	box-shadow: 0 4px 10px rgba(var(--cnvs-themecolor-rgb), 0.2);
	border-radius: 10px;
}

ul.link-list li a:hover {
	background-color: var(--cnvs-hovercolor);
}

.list-content h2 a {
	scroll-margin-top: 100px;
}

.payment {
	display: flex;
	flex-direction: column;
	align-items: center;
	height: 100%;
	padding: 16px;
	border-radius: 20px;
	box-shadow: 0 4px 10px rgba(var(--cnvs-themecolor-rgb), 0.2);
	background-color: var(--cnvs-subcolor);
}

.pay-img {
	position: relative;
	display: inline-block;
	padding: 16px;
	border-radius: 100px;
	background-color: var(--bs-white);
	margin: 0 auto 16px;
	margin-bottom: 16px;
}

.pay-text p {
	text-align: center;
	margin-bottom: 0;
}

.pay-text .title {
	font-size: 20px;
	font-weight: 500;
	line-height: 1.3;
	color: var(--cnvs-themecolor);
	margin-bottom: 16px;
}

.app {
	display: flex;
	align-items: center;
	height: 100%;
	gap: 24px;
	padding: 16px;
	border-radius: 20px;
	box-shadow: 0 4px 10px rgba(var(--cnvs-themecolor-rgb), 0.2);
	background-color: var(--cnvs-subcolor);
}

.app-img {
	aspect-ratio: 1;
}

.app-img img {
	border-radius: 20px;
	max-width: min(200px, 25vw);
}

.app-text .title {
	font-size: 20px;
	font-weight: 500;
	line-height: 1.3;
	color: var(--cnvs-themecolor);
	margin-bottom: 16px;
}

.cost-area h3 {
	color: var(--cnvs-themecolor);
	margin-bottom: 16px;
}

.cost {
	display: flex;
	flex-direction: column;
	height: 100%;
	padding: 16px;
	border-radius: 10px;
	background-color: var(--cnvs-subcolor);
}

.cost .title {
	font-size: 20px;
	font-weight: 500;
	line-height: 1.3;
	color: var(--cnvs-themecolor);
	margin-bottom: 8px;
}

.cost-table {
	width: 100%;
}

.cost-table th {
	background: var(--cnvs-subcolor);
	border: 1px solid var(--cnvs-hovercolor);
	text-align: center;
	vertical-align: middle;
	color: var(--cnvs-themecolor);
	padding: 4px;
	font-weight: 500;
	letter-spacing: 0.64px;
	line-height: 24px;
}

.cost-table tr,
td {
	background-color: var(--bs-white);
	border: 1px solid var(--cnvs-hovercolor);
	text-align: center;
	padding: 8px;
	line-height: 24px;
}

.cost-table tr td:first-child {
	color: var(--cnvs-themecolor);
	background: var(--cnvs-subcolor);
	font-weight: 500;
}

.cost-table a {
	color: var(--cnvs-themecolor);
}

.cost-table a:hover {
	color: var(--cnvs-hovercolor);
}

.bgc-subcolor {
	color: var(--cnvs-themecolor);
	background: var(--cnvs-subcolor);
	font-weight: 500;
}

/*-----------------------------------------------------------------
 == intro logistics
-----------------------------------------------------------------*/
[class*="log-block"] {
	position: relative;
	letter-spacing: 1px;
	border-radius: 20px;
	background-color: var(--bs-white);
	box-shadow: 0 20px 20px 5px rgba(var(--cnvs-themecolor-rgb), 0.2);
	height: 100%;
	overflow: hidden;
}

[class*="log-block"] .img-block {
	aspect-ratio: 600 / 266;
}

[class*="log-block"] .img-block img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

[class*="log-block"] .text {
	padding: 16px;
	letter-spacing: 1px;
}

[class*="log-block"] .text .title {
	font-size: 24px;
	font-weight: 700;
	line-height: 1.3;
	color: var(--cnvs-themecolor);
	margin-bottom: 16px;
	text-align: center;
}

[class*="log-block"] .text p:last-child {
	margin-bottom: 0;
}

/*----- 內頁 -----*/
.logTech {
	display: flex;
	flex-direction: column;
	align-items: center;
	height: 100%;
	padding: 16px;
	border-radius: 20px;
	box-shadow: 0 4px 10px rgba(var(--cnvs-themecolor-rgb), 0.2);
	background-color: var(--cnvs-subcolor);
}

.logTech-img {
	position: relative;
	display: inline-block;
	padding: 16px;
	border-radius: 100px;
	background-color: var(--bs-white);
	margin: 0 auto 16px;
	margin-bottom: 16px;
}

.logTech-text p {
	text-align: center;
	margin-bottom: 0;
}

.logTech-text .title {
	font-size: 20px;
	font-weight: 500;
	line-height: 1.3;
	color: var(--cnvs-themecolor);
	margin-bottom: 16px;
}

/* ----------------------------------------------------------------
	==service
-----------------------------------------------------------------*/
.index-service-box {
	position: relative;
	aspect-ratio: 4 / 3;
	overflow: hidden;
}

.index-service-box .media {
	position: relative;
	width: 100%;
	height: 100%;
}

.index-service-box .media img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	transition: all .3s ease-out;
}

.index-service-box .text {
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 67px;
	background: rgba(var(--cnvs-themecolor-rgb), 0.5);
	transition: all .3s ease-out;
	bottom: 0;
}

.index-service-box:hover .text {
	height: 100%;
}

.index-service-box .text h3 {
	font-size: 24px;
	font-weight: 600;
	letter-spacing: 1px;
	margin-bottom: 0;
	color: var(--bs-white);
	filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.75));
}

/*----- brand -----*/

.deco-img-2 {
	position: absolute;
	top: -50px;
	left: -50px;
	z-index: 0;
}

.index-brand-box {
	position: relative;
	z-index: 1;
}

.index-brand-box .media {
	position: relative;
	width: 100%;
	height: 100%;
	aspect-ratio: 4 / 3;
	padding: 8px;
	border: 1px solid var(--cnvs-subcolor);
	background-color: var(--bs-white);
	overflow: hidden;
}

.index-brand-box:hover .media {
	border-color: var(--cnvs-themecolor);
}

.index-brand-box .media img {
	width: 100%;
	height: 100%;
	object-fit: contain;
	transition: all .3s ease-out;
}

.index-brand-box:hover .media img {
	transform: scale(1.1);
}

.index-brand-box .text {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	background: var(--cnvs-subcolor);
	transition: all .3s ease-out;
	bottom: 0;

	padding: 16px 8px;
}

.index-brand-box .text h3 {
	font-size: 20px;
	font-weight: 700;
	letter-spacing: 1px;
	margin-bottom: 0;
	color: var(--cnvs-themecolor);
}

.index-brand-box:hover .text {
	background: var(--cnvs-themecolor);
}

.index-brand-box:hover .text h3 {
	color: var(--bs-white);
}

/*----- product-list -----*/
/*----- 分類側欄 -----*/
.pdt_sidebar-item {
	border: 1px solid var(--cnvs-subcolor);
	border-radius: 20px;
	background-color: #f7f8f9;
	margin-bottom: 28px;
	padding: 20px;
	box-shadow: 0px 20px 20px 5px rgba(var(--cnvs-themecolor-rgb), 0.2);
}

.pdt_sidebar-item.no-frame {
	border: none;
	background-color: transparent;
	box-shadow: none;
}

.pdt_sidebar-title {
	color: var(--cnvs-themecolor);
	font-size: 20px;
	font-weight: 600;
	margin-bottom: 16px;
}

.pdt_sidebar-title a {
	color: var(--cnvs-subcolor);
}

.pdt_sidebar-item .small-title {
	color: var(--color-text);
	font-size: var(--font-text);
	line-height: 1;
	margin-bottom: 20px;
}

.pdt_sidebar-categories ul li {
	position: relative;
	list-style-type: none;
	margin: 12px 0;
}

.pdt_sidebar-categories ul li:last-child {
	margin: 0;
}

.pdt_sidebar-categories ul li a {
	color: var(--cnvs-textcolor);
	font-size: 18px;
	font-weight: 400;
	display: block;
	line-height: 1.3;
	margin: 0;
	padding: 8px 12px 8px 16px;
	position: relative;
	width: 100%;
	border: 1px solid #ddd;
	border-radius: 10px;
	background-color: var(--bs-white);
	transition: all 0.3s ease-out;
}

.pdt_sidebar-categories ul li span[data-bs-toggle="collapse"] {
	width: calc(100% - 25px);
}

.pdt_sidebar-categories ul.sub-menu-list li a {
	color: #000;
	font-size: 16px;
	font-weight: 400;
	display: block;
	line-height: 1.3;
	margin: 0;
	padding: 8px 12px 8px 16px;
	position: relative;
	width: 100%;
	border: 1px solid var(--cnvs-themecolor);
	background-color: var(--bs-white);
}

.pdt_sidebar-categories ul li.active>a {
	background-color: var(--cnvs-activecolor);
	color: var(--bs-black);
}

.pdt_sidebar-categories ul li>a:hover {
	background-color: var(--cnvs-hovercolor);
	color: var(--bs-white);
}

.pdt_sidebar-categories ul li .collapse-icons {
	display: inline-block;
	position: relative;
	width: 25px;
	height: 25px;
	line-height: 1;
	background-color: #00417a;
}

.pdt_sidebar-categories ul li a:not(.collapsed) .collapse-icons i:after {
	height: 0;
}

.pdt_sidebar-categories ul li .collapse-icons i {
	position: absolute;
	background-color: #fff;
	height: 2px;
	top: 49%;
	left: 50%;
	width: 10px;
	transform: translateX(-50%);
}

.pdt_sidebar-categories ul li .collapse-icons i:after,
.pdt_sidebar-categories ul li a span.collapse-icons i:after {
	background-color: #fff;
	content: "";
	position: absolute;
	height: 10px;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	-webkit-transform: translate(-50%, -50%);
	-moz-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	-o-transform: translate(-50%, -50%);
	transition: all 0.4s ease-out;
	-webkit-transition: all 0.4s ease-out;
	-moz-transition: all 0.4s ease-out;
	-ms-transition: all 0.4s ease-out;
	-o-transition: all 0.4s ease-out;
	width: 2px;
}

.pdt_sidebar-categories ul {
	margin-bottom: 12px;
}

.pdt_sidebar-categories ul li ul {
	margin-left: 8px;
}

/*----- 列表頁項目 -----*/
.ser-item {
	position: relative;
	flex-wrap: nowrap;
	overflow: hidden;
	background-color: var(--bs-white);
}

.ser-item .media {
	position: relative;
	border: 1px solid var(--cnvs-activecolor);
	aspect-ratio: 4 / 3;
	overflow: hidden;
}

.ser-item .media .tag {
	display: inline-flex;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
}

.ser-item .media .tag a {
	font-size: 16px;
	line-height: 1.3;
	background-color: var(--cnvs-themecolor);
	color: var(--bs-white);
	letter-spacing: 1px;
	padding: 4px 16px;
	border-bottom-right-radius: 4px;
}

.ser-item .media .tag a:hover {
	background-color: var(--cnvs-hovercolor);
}

.ser-item .media img {
	width: 100%;
	height: 100%;
	aspect-ratio: 3 / 2;
	object-fit: cover;
	transition: transform .3s ease-out;
}

.ser-item .media img:hover {
	transform: scale(1.1);
}

.ser-item .text .tag {
	padding: 1px 12px;
	font-size: 16px;
	line-height: 1;
	letter-spacing: 1px;
	color: var(--bs-white);
	border-radius: 4px;
	background-color: var(--cnvs-themecolor);
	transition: background-color .3s ease-out;
}

.ser-item .text .tag:hover {
	background-color: var(--cnvs-hovercolor);
}

.ser-item .text h3 {
	font-size: 20px;
	font-weight: 700;
	line-height: 1.3;
	letter-spacing: 1px;
	margin: 16px 0 8px;
	color: var(--cnvs-themecolor);
	transition: color .3s ease-out;
}

.ser-item .text h3:hover {
	color: var(--cnvs-hovercolor);
}

.ser-item .text p {
	font-size: 16px;
	line-height: 1.75;
	letter-spacing: 1px;
	color: #333;
	margin: 0;
}

/*----- 內頁 -----*/
#ser-info .tag {
	padding: 1px 12px;
	font-size: 16px;
	line-height: 1;
	letter-spacing: 1px;
	color: var(--bs-white);
	border-radius: 4px;
	background-color: var(--cnvs-themecolor);
	transition: background-color .3s ease-out;
}

#ser-info .tag:hover {
	background-color: var(--cnvs-hovercolor);
}


/*----- 頁碼 pagination -----*/
.pagination .pagination li {
	margin-right: 5px;
}

.pagination .pagination li a {
	background-color: rgba(var(--cnvs-subcolor-rgb), 0.75);
	color: var(--bs-black);
	display: inline-block;
	font-size: 14px;
	font-weight: 400;
	height: 36px;
	line-height: 35px;
	padding: 0;
	text-align: center;
	vertical-align: top;
	width: 36px;

	border-radius: 10px;
	box-shadow: 0 4px 10px rgba(var(--cnvs-themecolor-rgb), 0.2);
}

.pagination .pagination li a.active {
	color: var(--bs-white);
	background-color: var(--cnvs-themecolor);
}

.pagination .pagination li a:hover {
	color: var(--bs-white);
	background-color: var(--cnvs-hovercolor);
}

.pagination .pagination li i {
	font-size: 15px;
	font-weight: 700;
}

.pagination .pagination li:last-child {
	margin-right: 5px;
}

/*----- 暫無資料 nodata -----*/
.nodata {
	border: 1px solid var(--cnvs-themecolor);
	border-radius: 10px;
	color: var(--cnvs-themecolor);
	letter-spacing: 1px;
}

/*----- 內頁產品圖片(左側) -----*/
.pdtSwiper.swiper-main .swiper-slide {
	display: flex;
	align-items: center;
	justify-content: center;
	margin: auto;
}

.pdtSwiper .swiper-button-prev,
.pdtSwiper .swiper-button-next {
	width: 36px;
	height: 36px;
	font-size: 18px;
	background-color: var(--cnvs-themecolor);
	color: var(--bs-white);
	opacity: 0;
	transition: all 0.3s ease-out;
}

.pdtSwiper .swiper-button-prev:hover,
.pdtSwiper .swiper-button-next:hover {
	background-color: var(--cnvs-hovercolor);
}

.pdtSwiper .swiper-button-prev::after,
.pdtSwiper .swiper-button-next::after {
	font-size: 18px;
}

.pdtSwiper:hover .swiper-button-prev,
.pdtSwiper:hover .swiper-button-next {
	opacity: 1;
}

.pdtSwiper.swiper-pagi {
	padding: 8px;
	background-color: rgba(var(--cnvs-subcolor-rgb), 0.15);
}

.pdtSwiper.swiper-pagi .swiper-slide {
	cursor: pointer;
}

.pdtSwiper.swiper-pagi .swiper-slide img {
	object-fit: cover;
	aspect-ratio: 1;
}

/*----- 內頁產品簡述(右側) -----*/
#product-info .tags {
	display: inline-flex;
	flex-wrap: wrap;
	gap: 4px;
	padding: 4px 8px;
	margin-bottom: 8px;
	background-color: #E6EFF7;
}

#product-info .tags a {
	color: var(--cnvs-themecolor);
}

#product-info .tags a:hover {
	color: var(--cnvs-hovercolor);
}

#product-info .tags a:not(:first-child)::before {
	content: "/";
	color: var(--cnvs-themecolor);
	margin-right: 4px;
}


/*----- 內頁頁籤 -----*/
.pdt_product-tab-nav {
	margin-bottom: 8px;
}

.pdt_product-tab-nav li {
	display: inline-block;
	margin: 0 12px 12px 0;
}

.pdt_product-tab-nav li a {
	letter-spacing: 1px;
	border: 1px solid var(--cnvs-themecolor);
	padding: 8px 16px;
	transition: all 0.3s ease-out;
}

.pdt_product-tab-nav li a:hover {
	border: 1px solid var(--cnvs-hovercolor);
	background-color: var(--cnvs-hovercolor);
	color: var(--bs-white);
}

.pdt_product-tab-content .tab-pane:not(.no-border) {
	border: 1px solid var(--cnvs-themecolor);
	background-color: #FFF;
	padding: 20px;
}

/* ----------------------------------------------------------------
	==album
-----------------------------------------------------------------*/

.album-item .media {
	border: 1px solid var(--cnvs-subcolor);
	position: relative;
	aspect-ratio: 4 / 3;
	overflow: hidden;
}

.album-item .media .tag {
	display: inline-flex;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
}

.album-item .media .tag a {
	font-size: 16px;
	line-height: 1.3;
	background-color: var(--cnvs-themecolor);
	color: var(--bs-white);
	letter-spacing: 1px;
	padding: 4px 16px;
	border-bottom-right-radius: 4px;
}

.album-item .media .tag a:hover {
	background-color: var(--cnvs-hovercolor);
}

.album-item .media img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	transition: transform .3s ease-out;
}

.album-item .media img:hover {
	transform: scale(1.1);
}

.album-item .text {
	padding-top: 16px;
}

.album-item .text h3 {
	font-size: 20px;
	font-weight: 700;
	line-height: 1.5;
	color: var(--cnvs-themecolor);
	margin-bottom: 0;
	transition: color .3s ease-out;
}

.album-item .text h3:hover {
	color: var(--cnvs-hovercolor);
}

/*----- album-list -----*/
#album-list .album-item {
	box-shadow: none;
}

#album-list .album-item .media {
	border: 1px solid var(--cnvs-themecolor);
}

#album-list .album-item .text {
	padding: 12px 0;
}

/*----- album-info -----*/
#album-info .tags a {
	padding: 2px 12px;
	letter-spacing: 1px;
	border-radius: 4px;
	color: var(--bs-white);
	background-color: var(--cnvs-themecolor);
}

#album-info .info-title {
	font-size: 30px;
	line-height: 1.3;
	letter-spacing: 1px;
}

#album-info .text {
	padding: 24px 0 8px;
	border-top: 1px solid var(--cnvs-themecolor);
	border-bottom: 1px solid var(--cnvs-themecolor);
}

#album-info .album-box img {
	width: 100%;
	object-fit: contain;
	transition: all .3s ease-out;
}

#album-info .album-box:hover img {
	transform: scale(1.1);
}

#album-info .album-photo-title {
	font-size: 18px;
	margin: 4px 0 8px;
}

/* ----------------------------------------------------------------
	==news
-----------------------------------------------------------------*/
.deco-img-3 {
	position: absolute;
	bottom: -50px;
	right: -50px;
	z-index: 0;
}

.news-item {
	position: relative;
	flex-wrap: nowrap;
	overflow: hidden;
	background-color: var(--bs-white);
}

.news-item .media {
	position: relative;
	aspect-ratio: 850 / 300;
	border: 2px solid rgba(var(--cnvs-hovercolor-rgb), 0.25);
	border-radius: 20px;
	overflow: hidden;
	transition: all .3s ease-out;
	box-shadow: 0 4px 10px rgba(var(--cnvs-themecolor-rgb), 0.2);
}

.news-item .media:hover {
	border-color: var(--cnvs-hovercolor);
}

.news-item .media .tag {
	display: inline-flex;
	position: absolute;
	top: 8px;
	left: 8px;
	gap: 4px;
	z-index: 1;
}

.news-item .media .tag a {
	font-size: 16px;
	line-height: 1.5;
	background-color: var(--cnvs-themecolor);
	color: var(--bs-white);
	letter-spacing: 1px;
	padding: 2px 12px;
	border-radius: 20px;
}

.news-item .media .tag a:hover {
	background-color: var(--cnvs-hovercolor);
}

.news-item .media .date {
	display: inline-flex;
	position: absolute;
	bottom: 0;
	left: 0;
	z-index: 1;
}

.news-item .media .date span {
	font-size: 16px;
	font-weight: 500;
	line-height: 1.3;
	letter-spacing: 1px;
	padding: 4px 16px;
	border-top-right-radius: 20px;
	background-color: var(--cnvs-subcolor);
	color: var(--cnvs-themecolor);
}

.news-item .media img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	transition: transform .3s ease-out;
}

.news-item .media img:hover {
	transform: scale(1.1);
}

.news-item .text .tag {
	padding: 1px 12px;
	font-size: 16px;
	line-height: 1;
	letter-spacing: 1px;
	color: var(--bs-white);
	border-radius: 4px;
	background-color: var(--cnvs-themecolor);
	transition: background-color .3s ease-out;
}

.news-item .text .tag:hover {
	background-color: var(--cnvs-hovercolor);
}

.news-item .text h3 {
	font-size: 20px;
	font-weight: 700;
	line-height: 1.3;
	letter-spacing: 1px;
	margin: 20px 0 8px;
	color: var(--cnvs-themecolor);
	transition: color .3s ease-out;
}

.news-item .text h3:hover {
	color: var(--cnvs-hovercolor);
}

.news-item .text p {
	font-size: 16px;
	line-height: 1.75;
	letter-spacing: 1px;
	color: #333;
	margin: 0;
}

/*----- news-list -----*/
/*----- 搜尋欄(共用) -----*/
.news_form-input-item {
	position: relative;
}

.news_form-input-item input {
	border: 1px solid #ddd;
	border-radius: 10px;
	background-color: #fff;
	color: #000;
	font-size: 18px;
	height: 40px;
	line-height: 40px;
	padding: 10px 60px 10px 16px;
	width: 100%;
	transition: all .3s ease-out;
}

.news_form-input-item input:focus {
	border: 1px solid var(--cnvs-hovercolor);
}

.news_form-input-item input::-webkit-input-placeholder,
/* Chrome/Opera/Safari */
.news_form-input-item input::-moz-placeholder,
/* Firefox 19+ */
.news_form-input-item input:-moz-placeholder,
/* Firefox 18- */
.news_form-input-item input:-ms-input-placeholder {
	color: #aaa;
}

.news_btn-src {
	border: none;
	border-top-right-radius: 10px;
	border-bottom-right-radius: 10px;
	background-color: var(--cnvs-themecolor);
	color: var(--bs-white);
	font-size: 18px;
	position: absolute;
	padding: 4px 16px;
	height: 100%;
	top: 0;
	right: 0;
	transition: all 0.4s ease-out;
	-webkit-transition: all 0.4s ease-out;
	-moz-transition: all 0.4s ease-out;
	-ms-transition: all 0.4s ease-out;
	-o-transition: all 0.4s ease-out;
}

.news_btn-src:hover {
	background-color: var(--cnvs-hovercolor);
	color: var(--bs-white);
}

/*---- 熱門 ----*/
.news_widget-blog-post {
	border-bottom: 1px solid #f3f3f3;
	margin-bottom: 20px;
	padding-bottom: 22px;
}

.news_widget-blog-post:last-child {
	border: none;
	margin-bottom: 0;
	padding-bottom: 0;
}

.news_widget-blog-post ul {
	margin: 0;
}

.news_widget-blog-post ul li {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	align-items: start;
	flex-direction: column;
	margin-bottom: 24px;
	border: 1px solid #ddd;
	background-color: var(--bs-white);
	border-radius: 20px;
	box-shadow: 0 10px 10px 5px rgba(var(--cnvs-themecolor-rgb), 0.1);
	overflow: hidden;
}

.news_widget-blog-post ul li:last-child {
	margin-bottom: 0;
}

/* .news_side-thumb {
	margin-right: 12px;
	width: 105px;
	height: 92px;
} */

.news_side-thumb a {
	display: block;
	width: 100%;
	height: 100%;
	overflow: hidden;
	aspect-ratio: 850 / 300;
}

.news_side-thumb img {
	object-fit: cover;
	width: 100%;
	height: 100%;
	transition: 0.3s;
}

.news_side-thumb a:hover img {
	transform: scale(1.1);
}

.news_side-content {
	/* -ms-flex-item-align: center;
	-ms-grid-row-align: center;
	align-self: center;
	width: calc(100% - 105px - 24px); */
	padding: 8px 16px;
}

.news_side-content .news-date {
	color: #999;
	font-size: 14px;
	text-transform: uppercase;
}

.news_side-content h3 {
	color: var(--cnvs-themecolor);
	font-size: 16px;
	line-height: 1.5;
	margin-top: 4px;
	margin-bottom: 0;
}

.news_side-content h3 a {
	color: var(--cnvs-themecolor);
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
	transition: all 0.3s ease-out;
}

.news_side-content h3 a:hover {
	color: var(--cnvs-hovercolor);
}

.news_side-content .side-tag {
	padding: 2px 8px;
	font-size: 14px;
	line-height: 1;
	letter-spacing: 1px;
	color: var(--bs-white);
	border-radius: 20px;
	background-color: var(--cnvs-themecolor);
	transition: background-color .3s ease-out;
}

.news_side-content .side-tag:hover {
	background-color: var(--cnvs-hovercolor);
}



/*----- news-info -----*/
#news-info .news-date {
	letter-spacing: 1px;
	color: var(--cnvs-themecolor);
	font-size: 18px;
	font-weight: 500;
	margin-right: 8px;
}

#news-info .tag {
	padding: 2px 12px;
	font-size: 16px;
	line-height: 1;
	letter-spacing: 1px;
	color: var(--bs-white);
	border-radius: 20px;
	background-color: var(--cnvs-themecolor);
	transition: background-color .3s ease-out;
}

#news-info .tag:hover {
	color: var(--bs-white);
	background-color: var(--cnvs-hovercolor);
}

#news-info .news-title {
	color: var(--cnvs-textcolor);
	margin-bottom: 24px;
}

.share-wrap {
	padding: 8px 24px;
	border: 1px solid rgba(var(--cnvs-subcolor-rgb), 1);
	border-radius: 100px;
	background-color: rgba(var(--cnvs-subcolor-rgb), 0.5);
	/* box-shadow: 0 4px 10px rgba(var(--cnvs-themecolor-rgb), 0.25); */
}

.share-wrap .share-title {
	display: flex;
	align-items: center;
	font-size: 16px;
}

.share-wrap a {
	font-size: 24px;
	line-height: 1.3;
	transition: color .3s ease-out;
	color: var(--bs-white);
}

.share-wrap a.fa-facebook {
	color: #1877F2;
}

.share-wrap a.bi-line {
	color: #21B94E;
}

.share-wrap a.fa-link {
	font-size: 20px;
	line-height: 1;
	color: var(--cnvs-themecolor);
}

.share-wrap a:hover {
	color: var(--cnvs-hovercolor);
}

.sidebar-wrap {
	top: 90px;
}

/*-----------------------------------------------------------------
== contact
-----------------------------------------------------------------*/
.contact-main-title {
	margin-bottom: 24px;
	font-size: 24px;
	font-weight: 700;
	color: var(--cnvs-themecolor);
}

.contact-block {
	border-radius: 20px;
	padding: 32px 16px;
	background-color: rgba(255, 255, 255, 0.8);
	box-shadow: 0 20px 20px 5px rgba(var(--cnvs-themecolor-rgb), 0.2);
}

/* contact info */
.contact-info-block {
	padding: 24px;
	border: 2px solid var(--cnvs-subcolor);
	border-radius: 20px;
	/* box-shadow: 0 20px 20px 5px rgba(var(--cnvs-themecolor-rgb), 0.2); */
}

.contact-info-block:not(:last-child) {
	margin-bottom: 16px;
}

.contact-info-block .title {
	font-size: 24px;
	margin-bottom: 8px;
	letter-spacing: 1px;
	color: var(--cnvs-themecolor);
}

.contact-info-block .hr {
	margin: 8px 0;
	border-top: 2px solid rgba(var(--cnvs-subcolor-rgb), 0.5);
	opacity: 1;
}

.contact-info-block .list {
	list-style-type: none;
	padding-left: 0;
	font-size: 18px;
	margin-bottom: 0;
}

.contact-info-block .list li {
	margin: 4px 0;
}

.contact-info-block .list li a {
	letter-spacing: 1px;
	color: var(--cnvs-themecolor);
}

.contact-info-block .list li a:hover {
	color: var(--cnvs-hovercolor);
}


/*----------*/
.contact-box {
	display: flex;
	align-items: center;
	gap: 16px;
	margin-top: 24px;
}

.contact-icon {
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: var(--cnvs-themecolor);
	color: #FFF;
	width: 70px;
	height: 70px;
	font-size: 24px;
	transition: all .3s ease-out;
}

.contact-info {
	width: calc(100% - 70px);
}

.contact-title {
	font-size: 20px;
	font-weight: 700;
	margin-bottom: 0;
	color: #000;
	transition: all .3s ease-out;
}

.contact-link {
	font-size: 18px;
	font-weight: 400;
	margin-bottom: 0;
	color: var(--cnvs-themecolor);
	transition: all .3s ease-out;
}

.contact-link:hover {
	color: var(--cnvs-hovercolor);
}

.contact-box:hover .contact-icon {
	background-color: var(--cnvs-hovercolor);
}

.contact-box:hover .contact-title,
.contact-box:hover .contact-link {
	color: var(--cnvs-hovercolor);
}

/* contact form */
.mf-form {
	padding: 24px;
	border: 1px solid var(--cnvs-subcolor);
	border-radius: 20px;
	box-shadow: 0 20px 20px 5px rgba(var(--cnvs-themecolor-rgb), 0.2);
	background-color: #f7f8f9;
}

.contact-form .form-group input,
.contact-form .form-group textarea,
.contact-form .form-group select {
	-webkit-transition: border 0.5s;
	transition: border 0.5s;
	/* color: #848484; */
	border: 1px solid var(--cnvs-subcolor);
	padding: 0 20px;
	-webkit-border-radius: 0;
	border-radius: 10px;
	outline: none;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	width: 100%;
	height: 60px;
	line-height: 55px;
	font-size: 18px;
}

.contact-form .form-group input:focus,
.contact-form .form-group textarea:focus {
	border-color: var(--cnvs-hovercolor);
}

.contact-form .form-group input::placeholder,
.contact-form .form-group textarea::placeholder,
.contact-form .form-group select::placeholder {
	color: #848484;
}

.contact-form .form-group textarea.message {
	height: 200px;
	margin-bottom: -6px;
}

.contact-form .form-group textarea.tips {
	height: 60px;
	margin-bottom: -6px;
}

.contact-form .form-group select.classic {
	margin: 0;
	min-height: 60px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-appearance: none;
	-moz-appearance: none;
	background-color: white;
	display: inline-block;
	font: inherit;
	background-image: linear-gradient(45deg, transparent 50%, #999 50%), linear-gradient(135deg, #999 50%, transparent 50%), linear-gradient(to right, #E9E9E9, #E9E9E9);
	background-position: calc(100% - 29px) calc(1em + 12px), calc(100% - 21px) calc(1em + 12px), 100% 0;
	background-size: 8px 8px, 8px 8px, 60px 60px;
	background-repeat: no-repeat;
}

.contact-form .form-group .form-check-input {
	width: 30px;
	height: 30px;
	padding: 0;
	border: 1px solid var(--cnvs-themecolor);
}

.captcha-area__inner {
	display: inline-block;
}

.captcha-area__inner img {
	height: 40px;
	margin: 10px 0;
}

.contact-form .form-group {
	position: relative;
	min-height: 70px;
	padding: 0 0 10px;
	margin: 0;
}

.sending-status {
	position: absolute;
	top: calc(50% - 16px);
	right: 180px;
	display: block;
}

@media screen and (max-width: 425px) {
	.form-group.submit {
		flex-direction: column;
	}

	.sending-status {
		position: relative;
		top: 8px;
		right: 0;
	}
}

/* ----------------------------------------------------------------
	==store
-----------------------------------------------------------------*/
#store .store-item .text a,
#store .store-item .text span.fax {
	font-size: 16px;
	color: var(--cnvs-themecolor);
	margin-bottom: 4px;
	transition: all .3s ease-out;
}

#store .store-item a:hover {
	color: var(--cnvs-hovercolor);
}

#store .store-item .text .tag {
	margin-bottom: 8px;
}

#store .store-item .text .tag a {
	display: inline;
	font-size: 14px;
	padding: 2px 8px;
	letter-spacing: 1px;
	border-radius: 4px;
	color: var(--bs-white);
	background-color: var(--cnvs-themecolor);
	transition: all .3s ease-out;
}

#store .store-item .text .tag a:hover {
	background-color: var(--cnvs-hovercolor);
}

#store .store-title {
	font-size: 24px;
	font-weight: 700;
	margin-bottom: 8px;
}

#store .qr {
	margin: auto;
	aspect-ratio: 1;
	max-width: 180px;
}

/* ----------------------------------------------------------------
	==privacy
-----------------------------------------------------------------*/
.fbox-content p {
	line-height: 1.75;
}

.fbox-content .content-title {
	font-size: 18px;
	font-weight: 500;
	line-height: 1.3;
	margin-top: 4px;
	margin-bottom: 0;
	color: #000;
}


/* ----------------------------------------------------------------
	==footer
-----------------------------------------------------------------*/
#footer {
	padding: 40px 0;
	background: var(--cnvs-subcolor);
}

.footer_logo {
	max-width: 320px;
	height: 50px;
}

.social-icon {
	font-family: 'Noto Sans TC', sans-serif;
}

.bg-facebook {
	background-color: #1877F2 !important;
}

.bg-line {
	background-color: #00C300 !important;
}

.bg-youtube {
	background-color: #FF0000 !important;
}

.h1-txt {
	font-size: 16px;
	line-height: 1.75;
	letter-spacing: 1px;
	font-weight: 400;
	color: var(--cnvs-textcolor);
	border-top: 2px solid rgba(0, 0, 0, 0.1);
	margin: 16px 0 0;
	padding: 16px 0;
}

.footer-title {
	font-size: 22px;
	line-height: 1.75;
	letter-spacing: 1px;
	font-weight: 600;
	margin-bottom: 16px;
	color: var(--cnvs-themecolor);
}

.footer-sub-title {
	font-size: 20px;
	line-height: 1.3;
	letter-spacing: 1px;
	font-weight: 500;
	margin-bottom: 16px;
	color: var(--cnvs-textcolor);
}

.footer-list {
	list-style: none;
	padding-left: 0;
}

.footer-list li:not(:first-child) {
	margin-top: 8px;
}

.footer-list li a {
	display: flex;

	font-size: 18px;
	font-weight: 400;
	line-height: 1.5;
	letter-spacing: 1px;
	color: var(--cnvs-textcolor);
	transition: all .3s ease-out;
	word-break: break-all;
}

.footer-list li a:hover {
	color: var(--cnvs-hovercolor);
}

.footer-list-flex {
	display: flex;
	flex-wrap: wrap;
}

.footer-list-flex li {
	margin-top: 8px;
	width: 125px;
}

#copyright {
	position: relative;
	background: var(--cnvs-themecolor);
}

.copyright-txt {
	font-size: 16px;
	line-height: 1.75;
	margin-bottom: 0;
	color: var(--bs-white);
	letter-spacing: 1px;
}

.copyright-link {
	color: #FFF;
}

.copyright-link:hover {
	color: var(--cnvs-hovercolor);
}

/*----------------------------------------------------------------- 
== SNS 
-----------------------------------------------------------------*/
#gotoTop {
	border-radius: 10px;
}

[id*="sns"] {
	--cnvs-sns-size: 2.5rem;
	--cnvs-sns-bg: var(--cnvs-themecolor);
	--cnvs-sns-icon-size: 22px;
	--cnvs-sns-icon-color: #fff;
	--cnvs-sns-position-boxed-right: 30px;
	--cnvs-sns-position-boxed-botom: 30px;
	--cnvs-sns-border-radius: 10px;
	--cnvs-sns-hover-color: var(--cnvs-hovercolor);
	z-index: 100;
	position: fixed;
	width: var(--cnvs-sns-size);
	line-height: var(--cnvs-sns-size);
	font-size: var(--cnvs-sns-icon-size);
	text-align: center;
	color: var(--cnvs-sns-icon-color);
	top: auto;
	left: auto;
	right: var(--cnvs-sns-position-boxed-right);
	bottom: var(--cnvs-sns-position-boxed-bottom);
	cursor: pointer;
	background-color: var(--cnvs-sns-bg);
	border-radius: var(--cnvs-sns-border-radius);
	box-shadow: 0 4px 10px rgba(var(--cnvs-themecolor-rgb), 0.2);
	opacity: 1;
	transition: background-color 0.2s linear, opacity 0.4s ease;
}

.sns {
	transition: opacity 0.3s, visibility 0.3s;
	/* 加上過渡，視覺更流暢 */
	opacity: 1;
	visibility: visible;
}

.sns.is-hidden {
	opacity: 0;
	visibility: hidden;
}

#sns_line {
	/* font-size: 22px; */
	background-color: #00c300;
	transition: background-color 0.3s ease-out;
}

#sns_tel {
	background-color: #006ACC;
	transition: background-color 0.3s ease-out;
}

#sns_mail {
	transition: background-color 0.3s ease-out;
}

[id*="sns"]:hover {
	background-color: var(--cnvs-sns-hover-color) !important;
}

a.float:nth-child(1) {
	--cnvs-sns-position-boxed-bottom: 156px !important;
}

a.float:nth-child(2) {
	--cnvs-sns-position-boxed-bottom: 212px !important;
}

a.float:nth-child(3) {
	--cnvs-sns-position-boxed-bottom: 268px !important;
}

/*----------------------------------------------------------------- 
== RWD 
-----------------------------------------------------------------*/
@media screen and (max-width: 1299px) {

	/*----- header -----*/
	#header {
		--cnvs-primary-menu-font-size: 18px;
		--cnvs-primary-submenu-font-size: 16px;
	}

	.is-expanded-menu .menu-link {
		--cnvs-primary-menu-padding-x: 8px;
	}
}

@media screen and (max-width: 1199px) {

	/*----- header -----*/
	#header {
		--cnvs-header-bg: var(--bs-white);
		--cnvs-header-height: 70px;
		--cnvs-header-height-md: 70px;
	}

	.top-search-open #header {
		--cnvs-header-bg: var(--cnvs-themecolor);
	}

	.menu-container>.menu-item:not(:last-child)>.menu-link {
		border-bottom: 1px solid #eee;
	}

	/*----- banner / slider -----*/
	.slider-caption h3 {
		font-size: 32px;
	}

	.slider-caption p {
		font-size: 18px;
		-webkit-line-clamp: 2;
	}

	/*----- service ------*/
	.index-service-box .text {
		height: 54px;
	}

	.index-service-box .text h3 {
		font-size: 20px;
	}

	/*----- album -----*/
	.album-item .text h3 {
		font-size: 20px;
	}
}

@media screen and (max-width: 991px) {

	/*----- header -----*/
	#header {
        --cnvs-header-height: 60px;
        --cnvs-header-height-md: 60px;
    }
	
	#header-wrap #logo a .logo-default {
		max-height: 60px;
		padding: 10px 0;
	}

	/*----- banner / slider -----*/
	.slider-caption-content {
		padding: 24px;
	}

	.slider-caption h3 {
		font-size: 32px;
	}

	.slider-caption p {
		font-size: 18px;
		-webkit-line-clamp: 2;
		margin-top: 8px;
	}

	.slider-button {
		margin-top: 8px;
	}

	/*---- breadcrumb ----*/
	.breadcrumb_title {
		font-size: 28px;
	}

	/*----- intro -----*/
	.index-brand-box .text h3 {
		font-size: 20px;
	}

	.history-section>.img-wrap {
		width: 82%;
		top: 130px !important;
		transform: none !important;
	}

	.deco-img>div {
		top: 120px;
	}

	.history_6__time-item::before {
		left: 50px;
	}

	/*----- service -----*/
	ul.link-list {
		justify-content: start;
	}

	ul.link-list li {
		width: calc(33% - 8px);
	}

	/*----- footer -----*/
	.footer-list-flex li {
		width: calc(100% / 5);
	}

	/*---- SNS -----*/
	[id*="sns"] {
		--cnvs-sns-position-boxed-right: 15px;
	}
}

@media screen and (max-width: 768px) {	
	#logo .logo-font,
	.logo-font {
		padding: 12px 0;
	}

	/*----- header -----*/
	#header {
		--cnvs-header-height-md: 60px;
	}

	/*----- banner / slider -----*/
	.slider-caption-content {
		padding: 16px;
	}

	.slider-caption h3 {
		font-size: 28px;
	}

	.slider-caption p {
		display: none;
	}

	.slider-button {
		margin-top: 16px;
	}

	.slider-arrow-left,
	.slider-arrow-right {
		display: none;
	}

	.slider-swiper-pagination {
		display: block;
		bottom: 8px !important;
	}

	/*----- intro -----*/
	.intro .ad-item {
		display: flex;
		flex-direction: column;
	}

	.intro .ad-item .media {
		width: 100%
	}

	.intro .ad-item .content {
		width: 100%
	}

	.history_6__time-item::before {
		left: 0px;
	}

	.history_6__time-year {
		width: 30%;
	}

	.history_6__time-txt {
		width: 65%;
		margin-left: 5%;
		padding-left: 20px;
	}

	.history_6__time-item::before {
		width: 36%;
	}

	/*----- news -----*/
	.news-item {
		flex-direction: column;
	}

	.news-item .media,
	.news-item .text {
		width: 100%;
	}

	.news-item .text p {
		height: auto;
	}

	/*----- footer -----*/
	.footer-list-flex li {
		width: calc(100% / 3);
	}

	.footer-list li a {
		font-size: 16px;
	}
}

@media screen and (max-width: 575px) {

	/*----- header -----*/
	.heading-block {
		--cnvs-heading-block-font-size-h2: 28px;
		margin-bottom: 24px;
	}

	.heading-block.text-center::after {
		margin-top: 24px;
	}

	/*----- banner / slider -----*/
	.slider-caption h3 {
		font-size: 20px;
		-webkit-line-clamp: 1;
	}

	.slider-caption-content {
		padding: 12px;
	}

	.slider-button {
		font-size: 3vw;
		padding: 1vw 4vw;
		margin-top: 12px;
		-webkit-line-clamp: 1;
	}

	/*----- intro -----*/
	[class*="cash-block"] .title,
	[class*="log-block"] .text .title {
		font-size: 20px;
	}

	.history_6__time-bg {
		padding: 24px;
		background-color: var(--cnvs-subcolor);
	}

	.history_6__time-year {
		width: 100%;
		padding: 5px;
	}

	.history_6__time-item::before {
		top: 17px;
		width: 33%;
	}

	.history_6__time-txt {
		width: 100%;
		padding: 4px 0 0;
		margin-left: 0;
	}

	/*----- service -----*/
	ul.link-list li {
		width: calc(50% - 8px);
	}


	/*----- album -----*/
	.album-item .text h3 {
		font-size: 18px;
	}
}

@media screen and (max-width: 425px) {

	/*----- footer -----*/
	.footer-list-flex li {
		width: calc(100% / 2 - 30px);
	}

	/*---- SNS -----*/
	#gotoTop {
		--cnvs-gotoTop-position-boxed-bottom: 130px;
	}

	#sns_line {
		--cnvs-sns-position-boxed-bottom: 280px;
	}

	#sns_tel {
		--cnvs-sns-position-boxed-bottom: 230px;
	}

	#sns_mail {
		--cnvs-sns-position-boxed-bottom: 180px;
	}
}